Are you the publisher? Claim or contact us about this channel


Embed this content in your HTML

Search

Report adult content:

click to rate:

Account: (login)

More Channels


Showcase


Channel Catalog


Channel Description:

The most recent posts in iRedMail.

older | 1 | .... | 1350 | 1351 | (Page 1352) | 1353 | 1354 | .... | 1394 | newer

    0 0

    SOLVED!! by
    yum -y install uwsgi-plugin-python2
    service uwsgi restart
    but i found out i did many things
    some other sample after fresh installing using the command above result in Internal Server Error.


    0 0

    What do you mean "suddenly"? did you change any settings? or update any packages?


    0 0

    Thanks for sharing. EPEL changed the package name few months ago.


    0 0
  • 11/20/18--02:35: upgrade from 0.9.4 to 0.9.8
  • ==== REQUIRED BASIC INFO OF YOUR IREDMAIL SERVER ====
    - iRedMail version (check /etc/iredmail-release): 0.9.4
    - Linux/BSD distribution name and version: Debian
    - Store mail accounts in which backend (LDAP/MySQL/PGSQL):  MySQL
    - Web server (Apache or Nginx): Apache
    - Manage mail accounts with iRedAdmin-Pro? No
    - [IMPORTANT] Related original log or error message is required if you're experiencing an issue.
    ====
    Hi,
    I want to upgrade my iredadmin to newest version, Now on me debian server I have installed version 0.9.4.
    Which way for upgade this product is the best? I should install one by one 0.9.5 0.9.6 0.9.7 and finaly 0.9.8
    or I can install only version 0.9.8
    During upgrade to current stable version can I add components to my product? Now I have installed iredadmin with mysql and webmail, I want to add sogo. It's possible?

    To be secure, from which file I should make backup? and the last question its any way to not perform server reboot after installation?

    thanks for help


    0 0

    ==== REQUIRED BASIC INFO OF YOUR IREDMAIL SERVER ====
    - iRedMail version (check /etc/iredmail-release): 0.9.8 OpenLDAP
    - Linux/BSD distribution name and version: Ubuntu 16.04 LTS
    - Store mail accounts in which backend (LDAP/MySQL/PGSQL):  LDAP
    - Web server (Apache or Nginx): Apache
    - Manage mail accounts with iRedAdmin-Pro? yes
    - [IMPORTANT] Related original log or error message is required if you're experiencing an issue.
    ====

    Hi,

    Is it possible to configure postfix/amavis in a way that it checks and if necessary rejects spam during the initial smtp connect like the postscreen filters ? I would like that postfix sends the mail to amavis for checking and if necessary tells the sending mailserver that the mail was rejected so that the sending mailserver can generate a bounce on its own. This would help use reduce backscatter.

    At the moment postfix accepts the message closes the connection to the sending mailserver and amavis generates a bounce if it is spam.


    0 0

    - iRedMail version:  0.9.8 MARIADB edition
    - Linux/BSD distribution name and version:  Debian Stretch
    - Store mail accounts in which backend (LDAP/MySQL/PGSQL): MySQL / MariaDB
    - Web server (Apache or Nginx): nginx
    - Manage mail accounts with iRedAdmin-Pro?: no


    I experimented with setting a vacation message, via SoGo, and then disabled it. When I look in SoGo for the account, it is showing that it is disabled.

    However, I can see from lda.log that a vacation message is still being sent:

    Nov 20 09:45:25 iredmail dovecot: lda(<from_address>): sieve: from=<incoming_sender_address>, envelope_sender=<incoming_sender_address>, subject=<subject>, msgid=<message_id>, size=25987, sent vacation response to <incoming_sender_address>

    and, in many cases:

    discarded duplicate vacation response

    I am not sure where to check / what to disable, to stop these messages from being out.

    Any thoughts would be welcome.


    0 0

    witek1811 wrote:

    I should install one by one 0.9.5 0.9.6 0.9.7 and finaly 0.9.8

    Yes.

    witek1811 wrote:

    During upgrade to current stable version can I add components to my product? Now I have installed iredadmin with mysql and webmail, I want to add sogo. It's possible?

    You have to install and configure SOGo manually.

    witek1811 wrote:

    To be secure, from which file I should make backup?

    SQL/LDAP databases, files you're going to modify.


    0 0

    iRedMail configures Amavisd as post-queue filter, you have to check Postfix/Amavisd documents to implement before-queue on your own. sorry.

    To reject backscatter, did you check this tutorial?
    http://www.postfix.org/BACKSCATTER_README.html


    0 0

    Check the sieve rule file in user's mailbox home directory (usually it's /var/vmail/vmail1/<domain>/.../sieve/). Does it have the vacation directive activated?


    0 0

    ZhangHuangbin wrote:

    Check the sieve rule file in user's mailbox home directory (usually it's /var/vmail/vmail1/<domain>/.../sieve/). Does it have the vacation directive activated?

    It has *something* in it (so, thank you, that's a definite good start), but it does look like a normal sieve rule to me:


    ?i??\L
    ??user@domainvmail1/domain/a/b/c/neil-2018.09.23.17.15.48/sieve/dovecot.sieve
                         Test reply
    4Test reply
    <default-subject><default-from><NO-MIME>
                                            `@

    Am I safe to delete all the content in this file?


    0 0

    ZhangHuangbin wrote:

    iRedMail configures Amavisd as post-queue filter, you have to check Postfix/Amavisd documents to implement before-queue on your own. sorry.

    To reject backscatter, did you check this tutorial?
    http://www.postfix.org/BACKSCATTER_README.html


    Thanks. I'll have a look at it.


    0 0

    thanks for the fast answer,

    Could You told me which file will be modified when I will run script for update?

    and for backup:
    should I backup only data from MySQL or also database schema? During update will be changed something in MySQL (added/removed some columns/tables)

    and I want back to my last question from first post:
    its any way to not perform server reboot after installation?


    0 0
  • 11/20/18--08:08: Illegal address syntax
  • ==== REQUIRED BASIC INFO OF YOUR IREDMAIL SERVER ====
    - iRedMail version (check /etc/iredmail-release): 0.9.8
    - Linux/BSD distribution name and version: CentOS 7
    - Store mail accounts in which backend (LDAP/MySQL/PGSQL): MySQL
    - Web server (Apache or Nginx): Nginx
    - Manage mail accounts with iRedAdmin-Pro? Yes
    - [IMPORTANT] Related original log or error message is required if you're experiencing an issue.
    ====

    Some users report that they cannot send emails via outlook. We checked the maillog and found that the reason is a single quotes inside the mail address as below:

    Nov 20 23:12:02 mx postfix/submission/smtpd[31661]: warning: Illegal address syntax from aaa.aaa.com[1.1.1.1] in RCPT command: <'bbb@gmail.com'>

    We checked the end user's outlook, they add the mail address normally and nothing special. But don't know why some of the email address they added have a single quotes inside when sending out. It's also happened on other user who using outlook 2010 and 2016.

    Is it possible auto filter the single quotes out if any when sending out email?

    Thanks a lot.

    Regards,
    Matt


    0 0

    ==== REQUIRED BASIC INFO OF YOUR IREDMAIL SERVER ====
    - iRedMail version (check /etc/iredmail-release): 0.9.8
    - Linux/BSD distribution name and version: Ubuntu 18.04.1 LTS
    - Store mail accounts in which backend (LDAP/MySQL/PGSQL): LDAP
    - Web server (Apache or Nginx): Nginx
    - Manage mail accounts with iRedAdmin-Pro? N
    - [IMPORTANT] Related original log or error message is required if you're experiencing an issue.
    ====

    I think this may be an issue with the Latest Stable release of iRedMail being intended for Ubuntu 18.04 LTS? Ubuntu 18.0.4.1 LTS has been standard since July 2018 and contains security enhancements to many package components, so if I am going to use iRedMail, I don't really want to downgrade.  Unfortunately the install bombs with many dependency conflicts, please see below and advise?  I have the default repos and added one for universal to fix the inability to install dialog initially, but still ran into this AFTER getting through the wizard:

    [ INFO ] Use config file: /home/haynes/iRedMail-0.9.8/config for mail server setting.
    [ INFO ] Import installation process status from file: /home/haynes/iRedMail-0.9.8/runtime/install.status.
    [ INFO ] Add apt repo for SOGo: https://packages.inverse.ca
    [ INFO ] Import apt key (0x810273C4) for SOGo repo (https://packages.inverse.ca).
    Executing: /tmp/apt-key-gpghome.C2QdYJtzzL/gpg.1.sh --keyserver keys.gnupg.net --recv-key 0x810273C4
    gpg: key 19CDA6A9810273C4: "Inverse Support (package signing) <support@inverse.ca>" not changed
    gpg: Total number processed: 1
    gpg:              unchanged: 1
    [ INFO ] Resynchronizing the package index files (apt-get update) ...
    Hit:1 http://us.archive.ubuntu.com/ubuntu bionic InRelease
    Hit:2 https://packages.inverse.ca/SOGo/nightly/4/ubuntu bionic InRelease
    Hit:3 http://archive.ubuntu.com/ubuntu bionic InRelease
    Hit:4 http://archive.ubuntu.com/ubuntu bionic-security InRelease
    Hit:5 http://archive.ubuntu.com/ubuntu bionic-updates InRelease
    Reading package lists... Done
    [ INFO ] Installing package(s): postfix postfix-pcre libsasl2-modules postfix-ldap slapd ldap-utils libnet-ldap-perl libdbd-mysql-perl mysql-server mysql-client php-cli php-fpm php-json php-gd php-curl mcrypt php-intl php-xml php-mbstring php-ldap php-mysql nginx-full dovecot-imapd dovecot-pop3d dovecot-lmtpd dovecot-managesieved dovecot-sieve dovecot-ldap dovecot-mysql amavisd-new libcrypt-openssl-rsa-perl libmail-dkim-perl clamav-freshclam clamav-daemon spamassassin altermime arj nomarch cpio lzop cabextract p7zip-full rpm ripole libmail-spf-perl unrar-free pax lrzip mlmmj php-net-ldap3 sogo sogo-activesync sope4.9-gdl1-mysql python-sqlalchemy python-dnspython python-ldap python-mysqldb python-pymysql python-jinja2 python-netifaces python-webpy python-beautifulsoup python-lxml python-pycurl python-requests uwsgi uwsgi-plugin-python python-bcrypt fail2ban zlib1g libuuid1 libmnl0 curl lm-sensors netcat bzip2 acl patch cron tofrodos logwatch unzip bsdutils liblz4-tool
    Reading package lists...
    Building dependency tree...
    Reading state information...
    acl is already the newest version (2.2.52-3build1).
    bzip2 is already the newest version (1.0.6-8.1).
    cpio is already the newest version (2.12+dfsg-6).
    cron is already the newest version (3.0pl1-128.1ubuntu1).
    libmnl0 is already the newest version (1.0.4-2).
    libsasl2-modules is already the newest version (2.1.27~101-g0780600+dfsg-3ubuntu2).
    patch is already the newest version (2.7.6-2ubuntu1).
    zlib1g is already the newest version (1:1.2.11.dfsg-0ubuntu2).
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    dovecot-ldap : Depends: dovecot-core (= 1:2.2.33.2-1ubuntu4) but 1:2.2.33.2-1ubuntu4.1 is to be installed
    dovecot-lmtpd : Depends: dovecot-core (= 1:2.2.33.2-1ubuntu4) but 1:2.2.33.2-1ubuntu4.1 is to be installed
    dovecot-mysql : Depends: dovecot-core (= 1:2.2.33.2-1ubuntu4) but 1:2.2.33.2-1ubuntu4.1 is to be installed
    nginx-full : Depends: libnginx-mod-http-auth-pam (= 1.14.0-0ubuntu1) but it is not going to be installed
                  Depends: libnginx-mod-http-dav-ext (= 1.14.0-0ubuntu1) but it is not going to be installed
                  Depends: libnginx-mod-http-echo (= 1.14.0-0ubuntu1) but it is not going to be installed
                  Depends: libnginx-mod-http-geoip (= 1.14.0-0ubuntu1) but 1.14.0-0ubuntu1.2 is to be installed
                  Depends: libnginx-mod-http-image-filter (= 1.14.0-0ubuntu1) but 1.14.0-0ubuntu1.2 is to be installed
                  Depends: libnginx-mod-http-subs-filter (= 1.14.0-0ubuntu1) but it is not going to be installed
                  Depends: libnginx-mod-http-upstream-fair (= 1.14.0-0ubuntu1) but it is not going to be installed
                  Depends: libnginx-mod-http-xslt-filter (= 1.14.0-0ubuntu1) but 1.14.0-0ubuntu1.2 is to be installed
                  Depends: libnginx-mod-mail (= 1.14.0-0ubuntu1) but 1.14.0-0ubuntu1.2 is to be installed
                  Depends: libnginx-mod-stream (= 1.14.0-0ubuntu1) but 1.14.0-0ubuntu1.2 is to be installed
                  Depends: nginx-common (= 1.14.0-0ubuntu1) but 1.14.0-0ubuntu1.2 is to be installed
    php-fpm : Depends: php7.2-fpm but it is not going to be installed
    php-intl : Depends: php7.2-intl but it is not going to be installed
    php-mbstring : Depends: php7.2-mbstring but it is not going to be installed
    sogo : Depends: gnustep-make but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.


    0 0

    ==== REQUIRED BASIC INFO OF YOUR IREDMAIL SERVER ====
    - iRedMail version (check /etc/iredmail-release): 0.9.2
    - Linux/BSD distribution name and version: Centos 6.4
    - Store mail accounts in which backend (LDAP/MySQL/PGSQL): Mysql
    - Web server (Apache or Nginx): Apache
    - Manage mail accounts with iRedAdmin-Pro? Yes
    - [IMPORTANT] Related original log or error message is required if you're experiencing an issue.
    ====

    Hi,

    Unfortunately, 10 days ago, our employee has inadvertently changed an account's quota from 4gb to 5mb. As you guess. As you might guess, there are several emails has returned back as "Quota exceeded". However, I see these emails under System > Mail Logs > Received Mails.

    But, there is no any file under "cur" directory.

    Are these mails located in the server? If yes, please help me about location or any information.

    Thank you.


    0 0
  • 11/20/18--18:15: Re: Illegal address syntax
  • Check file /etc/postfix/main.cf, find line below, enable it by removing the leading '#', then restart postfix service.

    smtpd_command_filter = pcre:/etc/postfix/command_filter.pcre

    0 0

    Emails rejected due to quota exceeded will not be delivered to user's mailbox.


    0 0

    Check file 'dovecot.sieve' (plain text) under this directory, not 'dovecot.sievec' (this is a compiled file).


    0 0

    witek1811 wrote:

    Could You told me which file will be modified when I will run script for update?

    Follow our upgrade tutorial step-by-step, backup file when you're going to modify it.

    witek1811 wrote:

    should I backup only data from MySQL or also database schema? During update will be changed something in MySQL (added/removed some columns/tables)

    You can run 'mysqldump' to backup the sql database.

    witek1811 wrote:

    its any way to not perform server reboot after installation?

    There's no server reboot required at all. but restarting network services like Postfix/Dovecot to load modified config files is required.


    0 0

    Do you have any dovecot/nginx/php packages installed before running iRedMail installer?


older | 1 | .... | 1350 | 1351 | (Page 1352) | 1353 | 1354 | .... | 1394 | newer